be.fgov.ehealth.consultrn._1_0.protocol

## Class PersonHistoryBirthReply

- java.lang.Object
- - be.fgov.ehealth.commons._1_0.protocol.ResponseType
  - - be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnReplyType
    - - be.fgov.ehealth.consultrn._1_0.protocol.PersonHistoryBirthReply

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:34:52+02:00",
                 comments="JAXB RI v2.2.11")
      public class PersonHistoryBirthReply
      extends ConsultRnReplyType
      implements Serializable

  reply of service PersonHistory

  Java class for PersonHistoryBirthReplyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonHistoryBirthReplyType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:consultRN:1_0:protocol}ConsultRnReplyType">
             <sequence>
               <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="BirthHistory" type="{urn:be:fgov:ehealth:consultRN:1_0:core}BirthHistoryType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonHistoryBirthReply()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<BirthHistoryType>` | `getBirthHistories()` Gets the value of the birthHistories property.
    `String` | `getSSIN()` Gets the value of the ssin property.
    `void` | `setSSIN(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnReplyType

      `getErrorInformations`

    - ### Methods inherited from class be.fgov.ehealth.commons._1_0.protocol.ResponseType

      `getId, getStatus, setId, setStatus`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonHistoryBirthReply

          public PersonHistoryBirthReply()

  - ### Method Detail

    - #### getSSIN

          public String getSSIN()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSSIN

          public void setSSIN(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBirthHistories

          public List<BirthHistoryType> getBirthHistories()

      Gets the value of the birthHistories property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the birthHistories property.

      For example, to add a new item, do as follows:

              getBirthHistories().add(newItem);

      Objects of the following type(s) are allowed in the list `BirthHistoryType`

Connector Package PERSDENTIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.